php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #66879 Version 1.7 don't support PHP 5.6
Submitted: 2014-03-10 12:11 UTC Modified: 2014-05-14 07:29 UTC
Votes:2
Avg. Score:4.5 ± 0.5
Reproduced:2 of 2 (100.0%)
Same Version:2 (100.0%)
Same OS:2 (100.0%)
From: remi@php.net Assigned: mike (profile)
Status: Wont fix Package: pecl_http (PECL)
PHP Version: 5.6.0alpha3 OS: irrevelant
Private report: No CVE-ID: None
Have you experienced this issue?
Rate the importance of this bug to you:

 [2014-03-10 12:11 UTC] remi@php.net
Description:
------------
From UPGRADING.INTERNALS

  The sapi_request_info's members post_data, post_data_len and raw_post_data as 
  well as raw_post_data_len have been replaced with a temp PHP stream 
  request_body.
  
  The recommended way to access raw POST data is to open and use a php://input 
  stream wrapper.  It is safe to be used concurrently and more than once. 


Don't know if you plan to support 1.7 for PHP 5.6 or consider as deprecated in favour of 2.x new API.


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2014-03-10 12:12 UTC] remi@php.net
-Assigned To: +Assigned To: mike
 [2014-03-24 09:14 UTC] remi@php.net
Compressed patch:
http://remi.fedorapeople.org/data-file.patch.xz
 [2014-03-24 09:14 UTC] remi@php.net
Sorry for the noise, ignore previous comment (for another bug)
 [2014-05-14 07:29 UTC] mike@php.net
-Status: Assigned +Status: Wont fix
 [2014-05-14 07:29 UTC] mike@php.net
I really think v1 is supposed to die.
It supports 4.4 to 5.5, I think that's enough.

v2 supports 5.3 upwards, and with phpng lurking around the corner I'm not really keen of supporting v1 even further.

PS: I really have the feeling I already wrote something along those lines in another bug report, but I cannot find anything.
 
PHP Copyright © 2001-2019 The PHP Group
All rights reserved.
Last updated: Tue Apr 23 05:01:25 2019 UTC